xcb_poly_segment(3)

NAME
xcb_poly_segment - draw lines

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_poly_segment(xcb_connection_t *conn, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t segments_len, const xcb_segment_t *segments);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

drawable
    A drawable (Window or Pixmap) to draw on.

gc  The graphics context to use. TODO: document which attributes of a gc are used

segments_len
    The number of xcb_segment_t structures in segments.

segments
    An array of xcb_segment_t structures.

DESCRIPTION
Draws multiple, unconnected lines. For each segment, a line is drawn between (x1, y1) and (x2, y2). The lines are drawn in the order listed in the array of xcb_segment_t structures and does not perform joining at coincident endpoints. For any given line, a pixel is not drawn more than once. If lines intersect, the intersecting pixels are drawn multiple times. TODO: include the xcb_segment_t data structure TODO: an example

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_poly_segment_checked. See xcb-requests(3) for details.

ERRORS

xcb_drawable_error_t
    The specified drawable does not exist.

xcb_gc_error_t
    The specified gc does not exist.

xcb_match_error_t
    TODO: reasons?

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.